Subject: bug#61967: guix pack error with python packages

From: Josselin Poiret <[email-masked]>
Date: Sun, 05 Mar 2023 11:11:19 +0100

Hi Cayetano,

Cayetano Santos via Bug reports for GNU Guix <[email-masked]> writes:

> Hello guix,
>
>   I’m trying to deploy a test set of python packages to a remote server,
>   using the following guix pack command (latest guix, as for now)
>
>     guix pack -R --compression=xz --save-provenance \
>     -S /.guix-profile/bin=bin -S /.guix-profile/share=share \
>     -S /.guix-profile/etc=etc -S /.guix-profile/lib=lib \
>     -S /.guix-profile/include=include
>
>   The resulting file.tar.xz is sent to the server with
>
>     scp file.tar.xz server:/dir1/dir2/.

This is most likely [1], which hasn't been fixed yet but I have a patch
to that effect.  The problem is that it would cause a lot of rebuilds so
I haven't sent it yet, I'll send it after the core-updates merge.

[1] https://issues.guix.gnu.org/53258
    mid: [email-masked]

Best,
-- 
Josselin Poiret